/*! iFrame Resizer (iframeSizer.min.js ) - v2.8.0 - 2015-01-19
 *  Desc: Force cross domain iframes to size to content.
 *  Requires: iframeResizer.contentWindow.min.js to be loaded into the target frame.
 *  Copyright: (c) 2015 David J. Bradshaw - dave@bradshaw.net
 *  License: MIT
 */

!function(){"use strict";function a(a,b,c){"addEventListener"in window?a.addEventListener(b,c,!1):"attachEvent"in window&&a.attachEvent("on"+b,c)}function b(){var a,b=["moz","webkit","o","ms"];for(a=0;a<b.length&&!z;a+=1)z=window[b[a]+"RequestAnimationFrame"];z||e(" RequestAnimationFrame not supported")}function c(){var a="Host page";return window.top!==window.self&&(a=window.parentIFrame?window.parentIFrame.getId():"Nested host page"),a}function d(a){return v+"["+c()+"]"+a}function e(a){B.log&&"object"==typeof window.console&&console.log(d(a))}function f(a){"object"==typeof window.console&&console.warn(d(a))}function g(a){function b(){function a(){k(F),i(),B.resizedCallback(F)}g("Height"),g("Width"),l(a,F,"resetPage")}function c(a){var b=a.id;e(" Removing iFrame: "+b),a.parentNode.removeChild(a),B.closedCallback(b),e(" --")}function d(){var a=E.substr(w).split(":");return{iframe:document.getElementById(a[0]),id:a[0],height:a[1],width:a[2],type:a[3]}}function g(a){var b=Number(B["max"+a]),c=Number(B["min"+a]),d=a.toLowerCase(),f=Number(F[d]);if(c>b)throw new Error("Value for min"+a+" can not be greater than max"+a);e(" Checking "+d+" is in range "+c+"-"+b),c>f&&(f=c,e(" Set "+d+" to min value")),f>b&&(f=b,e(" Set "+d+" to max value")),F[d]=""+f}function m(){var b=a.origin,c=F.iframe.src.split("/").slice(0,3).join("/");if(B.checkOrigin&&(e(" Checking connection is from: "+c),""+b!="null"&&b!==c))throw new Error("Unexpected message received from: "+b+" for "+F.iframe.id+". Message was: "+a.data+". This error can be disabled by adding the checkOrigin: false option.");return!0}function n(){return v===(""+E).substr(0,w)}function o(){var a=F.type in{"true":1,"false":1};return a&&e(" Ignoring init message from meta parent page"),a}function p(a){return E.substr(E.indexOf(":")+u+a)}function q(a){e(" MessageCallback passed: {iframe: "+F.iframe.id+", message: "+a+"}"),B.messageCallback({iframe:F.iframe,message:JSON.parse(a)}),e(" --")}function r(){if(null===F.iframe)throw new Error("iFrame ("+F.id+") does not exist on "+x);return!0}function t(a){var b=a.getBoundingClientRect();return h(),{x:parseInt(b.left,10)+parseInt(y.x,10),y:parseInt(b.top,10)+parseInt(y.y,10)}}function z(a){function b(){y=g,A(),e(" --")}function c(){return{x:Number(F.width)+d.x,y:Number(F.height)+d.y}}var d=a?t(F.iframe):{x:0,y:0},g=c();e(" Reposition requested from iFrame (offset x:"+d.x+" y:"+d.y+")"),window.top!==window.self?window.parentIFrame?a?parentIFrame.scrollToOffset(g.x,g.y):parentIFrame.scrollTo(F.width,F.height):f(" Unable to scroll to requested position, window.parentIFrame not found"):b()}function A(){!1!==B.scrollCallback(y)&&i()}function C(a){function b(b){var c=t(b);e(" Moving to in page link ("+a+") at x: "+c.x+" y: "+c.y),y={x:c.x,y:c.y},A(),e(" --")}var c=document.querySelector(a)||document.querySelector('[name="'+a.substr(1,999)+'"]');window.top!==window.self?window.parentIFrame?parentIFrame.moveToAnchor(a):f(" In page link "+a+" not found and window.parentIFrame not found"):null!==c?b(c):f(" In page link "+a+" not found")}function D(){switch(F.type){case"close":c(F.iframe),B.resizedCallback(F);break;case"message":q(p(6));break;case"scrollTo":z(!1);break;case"scrollToOffset":z(!0);break;case"inPageLink":C(p(9));break;case"reset":j(F);break;case"init":b(),B.initCallback(F.iframe);break;default:b()}}var E=a.data,F={};n()&&(e(" Received: "+E),F=d(),!o()&&r()&&m()&&(D(),s=!1))}function h(){null===y&&(y={x:void 0!==window.pageXOffset?window.pageXOffset:document.documentElement.scrollLeft,y:void 0!==window.pageYOffset?window.pageYOffset:document.documentElement.scrollTop},e(" Get page position: "+y.x+","+y.y))}function i(){null!==y&&(window.scrollTo(y.x,y.y),e(" Set page position: "+y.x+","+y.y),y=null)}function j(a){function b(){k(a),m("reset","reset",a.iframe)}e(" Size reset requested by "+("init"===a.type?"host page":"iFrame")),h(),l(b,a,"init")}function k(a){function b(b){a.iframe.style[b]=a[b]+"px",e(" IFrame ("+a.iframe.id+") "+b+" set to "+a[b]+"px")}B.sizeHeight&&b("height"),B.sizeWidth&&b("width")}function l(a,b,c){c!==b.type&&z?(e(" Requesting animation frame"),z(a)):a()}function m(a,b,c){e("["+a+"] Sending msg to iframe ("+b+")"),c.contentWindow.postMessage(v+b,"*")}function n(){function b(){function a(a){1/0!==B[a]&&0!==B[a]&&(i.style[a]=B[a]+"px",e(" Set "+a+" = "+B[a]+"px"))}a("maxHeight"),a("minHeight"),a("maxWidth"),a("minWidth")}function c(a){return""===a&&(i.id=a="iFrameResizer"+r++,e(" Added missing iframe ID: "+a+" ("+i.src+")")),a}function d(){e(" IFrame scrolling "+(B.scrolling?"enabled":"disabled")+" for "+k),i.style.overflow=!1===B.scrolling?"hidden":"auto",i.scrolling=!1===B.scrolling?"no":"yes"}function f(){("number"==typeof B.bodyMargin||"0"===B.bodyMargin)&&(B.bodyMarginV1=B.bodyMargin,B.bodyMargin=""+B.bodyMargin+"px")}function g(){return k+":"+B.bodyMarginV1+":"+B.sizeWidth+":"+B.log+":"+B.interval+":"+B.enablePublicMethods+":"+B.autoResize+":"+B.bodyMargin+":"+B.heightCalculationMethod+":"+B.bodyBackground+":"+B.bodyPadding+":"+B.tolerance}function h(b){a(i,"load",function(){var a=s;m("iFrame.onload",b,i),!a&&B.heightCalculationMethod in A&&j({iframe:i,height:0,width:0,type:"init"})}),m("init",b,i)}var i=this,k=c(i.id);d(),b(),f(),h(g())}function o(a){if("object"!=typeof a)throw new TypeError("Options is not an object.")}function p(){function a(a){if("IFRAME"!==a.tagName.toUpperCase())throw new TypeError("Expected <IFRAME> tag, found <"+a.tagName+">.");n.call(a)}function b(a){a=a||{},o(a);for(var b in C)C.hasOwnProperty(b)&&(B[b]=a.hasOwnProperty(b)?a[b]:C[b])}return function(c,d){b(c),Array.prototype.forEach.call(document.querySelectorAll(d||"iframe"),a)}}function q(a){a.fn.iFrameResize=function(b){return b=b||{},o(b),B=a.extend({},C,b),this.filter("iframe").each(n).end()}}var r=0,s=!0,t="message",u=t.length,v="[iFrameSizer]",w=v.length,x="",y=null,z=window.requestAnimationFrame,A={max:1,scroll:1,bodyScroll:1,documentElementScroll:1},B={},C={autoResize:!0,bodyBackground:null,bodyMargin:null,bodyMarginV1:8,bodyPadding:null,checkOrigin:!0,enablePublicMethods:!1,heightCalculationMethod:"offset",interval:32,log:!1,maxHeight:1/0,maxWidth:1/0,minHeight:0,minWidth:0,scrolling:!1,sizeHeight:!0,sizeWidth:!1,tolerance:0,closedCallback:function(){},initCallback:function(){},messageCallback:function(){},resizedCallback:function(){},scrollCallback:function(){return!0}};b(),a(window,"message",g),window.jQuery&&q(jQuery),"function"==typeof define&&define.amd?define([],p):"object"==typeof exports?module.exports=p():window.iFrameResize=p()}();
//# sourceMappingURL=../src/iframeResizer.map